Bug 826001 - autofs package doesn't include /net and /misc directories
autofs package doesn't include /net and /misc directories
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 06:12 EDT by Juan Orti
Modified: 2013-08-01 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:07:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2012-05-29 06:12:23 EDT
Description of problem:
In the default installation, autofs enables two directories with auto mount: /net and /misc, but the directories don't exist.

Version-Release number of selected component (if applicable):
autofs-5.0.6-13.fc17.x86_64

How reproducible:
yum install autofs

Actual results:
/net and /misc have automatic mounts, but the directories don't exist

Expected results:
The package should create those directories, or be disabled by the default config
Comment 1 Ian Kent 2012-05-29 09:48:44 EDT
I'm curious, why do you think these directories should be
created and why is it important for the package to own them?
Comment 2 Juan Orti 2012-05-29 09:56:21 EDT
I think that autofs brings that functionality by default, so it would be interesting to have the directories created in the installation.

Those directories only have sense with autofs installed, so it should own them.

The opposite thinking is that the config is only an example, so, maybe it should be commented out.

What do you think? is this something already discussed?
Comment 3 Ian Kent 2012-05-29 20:11:51 EDT
(In reply to comment #2)
> I think that autofs brings that functionality by default, so it would be
> interesting to have the directories created in the installation.
> 
> Those directories only have sense with autofs installed, so it should own
> them.
> 
> The opposite thinking is that the config is only an example, so, maybe it
> should be commented out.

That's right but I think that the hosts map entry is actually
used as installed by some people. The auto.misc is a different
case though. It doesn't really represent the target usage of
autofs but it is an example of an indirect mount map. Removable
media is better handled by by other means.

> 
> What do you think? is this something already discussed?

Personally I think /misc should be commented out and only
/net added to the files list, along with a comment in
auto.master above /misc that says it's an example only.
Also, there's no example of a direct map at all.

Ian
Comment 4 Fedora End Of Life 2013-07-04 01:51:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:07:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.